/* -------------------WARNING------------------*/ 
/* Do not change without notifying ROC Conder  */ 
/* -------------------WARNING------------------*/ 
/*            MPMCDIMG.CMD                     */ 
 
/* MultiMedia Installation Routine to make a Hard Disk image of the 
   installation package and to modify the control files for hard disk.  */ 
 
parse upper arg DRIVE PATH 
'@echo off' 
 
say '    ' 
say "Diese CMD-Datei kopiert das MMPM/2-Installationspaket von den Disketten auf "
say "die Festplatte und ndert die Steuerdateien fr den Festplattenbetrieb. Das "
say "Paket kann dann zum Generieren von und zur Installation mit Antwortdateien "
say "verwendet werden."  
say '    ' 
 
if length(DRIVE) <> 1 then call usage 
 
say "Syntax: MPMCDIMG lw [pfad]"  
say '    ' 
say '                '"[pfad] steht fr beliebig viele Unterverzeichnisse; "
say "                (auer dem letzten mssen alle existieren). Umfat [pfad] "
say "                mehrere nicht vorhandene Unterverzeichnisse, sind Fehler "
say "                mglich."  
say '    ' 
 
INPUTFILE='A:\CONTROL.SCR' 
x=stream(INPUTFILE, 'c', 'close') 
 
signal on notready name fileclosed 
 
nextline=linein(INPUTFILE) 
nounits=0 
do forever 
     nextline=linein(INPUTFILE) 
     if nextline <> '' then 
         do 
         if (substr(nextline,1,11) = 'munitcount=') then 
              do 
              nextline = nextline || '   ' 
              nounits=substr(nextline,12,1) 
              if (substr(nextline,13,1) <> ' ') then 
                  do 
                  nounits = nounits || substr(nextline,13,1) 
                  end 
              say "nounits = "nounits"" 
              leave 
              end 
         end 
end  /* do forever */ 
 
i = 0 
do forever 
    nextline=linein(INPUTFILE) 
    if nextline <> '' then 
         do 
         if (substr(nextline, 1, 10) = 'medianame=') then 
              do 
              i = i + 1 
              array.i = substr(nextline, 11) 
              if i = nounits then 
                   leave 
              end 
         end 
end /* do forever */ 
/* 
do k = 1 to nounits 
    say 'array['k'] = ('array.k')' 
end 
*/ 
fileclosed: 
    signal off notready 
 
    x=stream(INPUTFILE, 'c', 'close') 
 
if length(PATH) = 0 then 
    do 
    PATH='\MPMPACK' 
    end 
say "MMPM/2 wird auf die Festplatte kopiert."  
/* 
array.1 = "IBM Multimedia Prsentations-Manager/2 Diskette 1"  
array.2 = "IBM Multimedia Prsentations-Manager/2 Diskette 2"  
array.3 = "IBM Multimedia Prsentations-Manager/2 Diskette 3"  
array.4 = "IBM Multimedia Prsentations-Manager/2 Diskette 4"  
array.5 = "IBM Multimedia Prsentations-Manager/2 Diskette 5"  
array.6 = "IBM Multimedia Prsentations-Manager/2 Diskette 6"  
array.7 = "IBM Multimedia Prsentations-Manager/2 Diskette 7"  
array.8 = "IBM Multimedia Prsentations-Manager/2 Diskette 8"  
array.9 = "IBM Multimedia Prsentations-Manager/2 Diskette 9"  
  */ 
 
'md' DRIVE':'PATH 
'attrib -R ' DRIVE':'PATH'\* /S >nul 2>nul' 
 
do k = 1 to nounits 
   say '    ' 
   say "Bitte"  array.k 
   say "in Diskettenlaufwerk A: einlegen."  
   say '    ' 
   pause 
 
   'xcopy a:\*.* ' DRIVE':'PATH'\*.* /s /v    2>nul' 
end 
 
DRIVE':' 
if (nounits <> 1) then 
   do 
   'cd' PATH'\hdcontl' 
   'copy controlh.scr ..\control.scr' 
   INPUTFILE = 'controlh.scr' 
   x = stream(INPUTFILE, 'c', 'close') 
   signal on notready name controlread 
   nextline = linein(INPUTFILE) 
   do forever 
      nextline = linein(INPUTFILE) 
      if nextline <> '' then 
         do 
         if (substr(nextline, 1, 9) = 'filelist=') then 
            do 
            'copy' substr(nextline,10) '..' 
            'erase' substr(nextline,10) 
            leave 
            end 
         end 
   end 
controlhread: 
   x = stream(INPUTFILE, 'c', 'close') 
   'erase controlh.scr' 
   'cd ..' 
   'rmdir hdcontl' 
   end 
 
say "Paketgenerierung abgeschlossen..."  
 
exit 0 
 
usage: 
say '    ' 
say "Syntax: MPMCDIMG lw [pfad]"  
say '    ' 
say "lw ist das Laufwerk, auf dem das Paket generiert wird (erforderliche "
say "      Angabe)."  
say '     ' 
say '      '"[pfad] ist der Pfad (ohne Laufwerk) zum Verzeichnis, in dem das "
say "      Paket generiert werden soll\01"  
say '     ' 
say '      '"[pfad] steht fr beliebig viele Unterverzeichnisse; (auer dem "
say "      letzten mssen alle existieren). Umfat [pfad] mehrere nicht "
say "      vorhandene Unterverzeichnisse, sind Fehler mglich."  
say '     ' 
 
exit 0 
